Sudden issues running Repl with numpy

Question:
I’m unable to get my Repl to run and get the error message below. Repl ran fine until today, no changes were made so assume changes have been made by Replit?

Traceback (most recent call last):
  File "/nix/store/kcx6gnm85y267954i0a05r90g4n0cahd-python3.10-numpy-1.26.1/lib/python3.10/site-packages/numpy/core/__init__.py", line 24, in <module>
    from . import multiarray
  File "/nix/store/kcx6gnm85y267954i0a05r90g4n0cahd-python3.10-numpy-1.26.1/lib/python3.10/site-packages/numpy/core/multiarray.py", line 10, in <module>
    from . import overrides
  File "/nix/store/kcx6gnm85y267954i0a05r90g4n0cahd-python3.10-numpy-1.26.1/lib/python3.10/site-packages/numpy/core/overrides.py", line 8, in <module>
    from numpy.core._multiarray_umath import (
ImportError: /nix/store/dg8mpqqykmw9c7l0bgzzb5znkymlbfjw-glibc-2.37-8/lib/libm.so.6: version `GLIBC_2.38' not found (required by /nix/store/kcx6gnm85y267954i0a05r90g4n0cahd-python3.10-numpy-1.26.1/lib/python3.10/site-packages/numpy/core/_multiarray_umath.cpython-310-x86_64-linux-gnu.so)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/nix/store/kcx6gnm85y267954i0a05r90g4n0cahd-python3.10-numpy-1.26.1/lib/python3.10/site-packages/numpy/__init__.py", line 130, in <module>
    from numpy.__config__ import show as show_config
  File "/nix/store/kcx6gnm85y267954i0a05r90g4n0cahd-python3.10-numpy-1.26.1/lib/python3.10/site-packages/numpy/__config__.py", line 4, in <module>
    from numpy.core._multiarray_umath import (
  File "/nix/store/kcx6gnm85y267954i0a05r90g4n0cahd-python3.10-numpy-1.26.1/lib/python3.10/site-packages/numpy/core/__init__.py", line 50, in <module>
    raise ImportError(msg)
ImportError: 

IMPORTANT: PLEASE READ THIS FOR ADVICE ON HOW TO SOLVE THIS ISSUE!

Importing the numpy C-extensions failed. This error can happen for
many reasons, often due to issues with your setup or how NumPy was
installed.

We have compiled some common reasons and troubleshooting tips at:

    https://numpy.org/devdocs/user/troubleshooting-importerror.html

Please note and check the following:

  * The Python version is: Python3.10 from "/nix/store/xf54733x4chbawkh1qvy9i1i4mlscy1c-python3-3.10.11/bin/python3"
  * The NumPy version is: "1.26.1"

and make sure that they are the versions you expect.
Please carefully study the documentation linked above for further help.

Original error was: /nix/store/dg8mpqqykmw9c7l0bgzzb5znkymlbfjw-glibc-2.37-8/lib/libm.so.6: version `GLIBC_2.38' not found (required by /nix/store/kcx6gnm85y267954i0a05r90g4n0cahd-python3.10-numpy-1.26.1/lib/python3.10/site-packages/numpy/core/_multiarray_umath.cpython-310-x86_64-linux-gnu.so)


The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/home/runner/Flixr-Subtitles/main.py", line 4, in <module>
    from funcs import *
  File "/home/runner/Flixr-Subtitles/funcs.py", line 6, in <module>
    from moviepy.editor import TextClip, CompositeVideoClip, ColorClip, VideoFileClip, ColorClip
  File "/home/runner/Flixr-Subtitles/.pythonlibs/lib/python3.10/site-packages/moviepy/editor.py", line 24, in <module>
    import imageio
  File "/home/runner/Flixr-Subtitles/.pythonlibs/lib/python3.10/site-packages/imageio/__init__.py", line 24, in <module>
    from .core import FormatManager, RETURN_BYTES
  File "/home/runner/Flixr-Subtitles/.pythonlibs/lib/python3.10/site-packages/imageio/core/__init__.py", line 10, in <module>
    from .util import Image, Array, Dict, asarray, image_as_uint, urlopen
  File "/home/runner/Flixr-Subtitles/.pythonlibs/lib/python3.10/site-packages/imageio/core/util.py", line 10, in <module>
    import numpy as np
  File "/nix/store/kcx6gnm85y267954i0a05r90g4n0cahd-python3.10-numpy-1.26.1/lib/python3.10/site-packages/numpy/__init__.py", line 135, in <module>
    raise ImportError(msg) from e
ImportError: Error importing numpy: you should not try to import numpy from
        its source directory; please exit the numpy source tree, and relaunch
        your python interpreter from there.

I have a similar issue in a separate project with openCV. Ran fine until today and without making any changes to the Repl itself, it will no longer run.

As from the OpenCV topic, trying changing the nix channel, in .replit hidden file, to 23.05, "stable-23_05".

2 Likes